-- TICKER_10000
function()
	if not InterfaceGUI then return end
	if not InterfaceGUI.Cashe_1 then return end
	for k, v in pairs(InterfaceGUI.Cashe_1) do
		if v.UIMSG_BEST_RUNS then
			local bestRuns = v.UIMSG_BEST_RUNS
			for i = 1, #bestRuns, 5 do
				local challengeId = bestRuns[i]
				local roleMask = bestRuns[i + 1]
				-- print(roleMask)
				local stars = bestRuns[i + 2]
				local keyLvl = bestRuns[i + 3]
				local score = bestRuns[i + 4]

				if challengeId and challengeId > 0 and roleMask and roleMask > 0 and keyLvl and keyLvl > 0 then
					local dungeonName = aura_env.challengeNameMap[challengeId] or "???"
					local key = aura_env.Key.new(
						dungeonName,
						"isDps",
						string.rep("+", stars) .. keyLvl,
						"???",
						score)
					key:register()
				end
			end
		end
	end
end
